> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rhino.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# Get public deposit address status

> Please use the identical endpoint under https://api.rhino.fi/sda. The sda endpoints here exist only for backwards compatibility and will be removed in the future. If you use the SDK, please upgrade to the latest version which uses the correct endpoint.



## OpenAPI

````yaml https://api.rhino.fi/bridge/swagger.json get /deposit-addresses/{depositAddress}/{depositChain}/public-status
openapi: 3.1.0
info:
  title: Bridge API
  version: 0.0.1
  description: Functionality for interacting with Rhino bridge service
servers:
  - url: https://api.rhino.fi/bridge
security: []
tags:
  - name: quote
  - name: configs
  - name: history
  - name: swap
  - name: depositAddresses
paths:
  /deposit-addresses/{depositAddress}/{depositChain}/public-status:
    get:
      tags:
        - depositAddresses
      summary: Get public deposit address status
      description: >-
        Please use the identical endpoint under https://api.rhino.fi/sda. The
        sda endpoints here exist only for backwards compatibility and will be
        removed in the future. If you use the SDK, please upgrade to the latest
        version which uses the correct endpoint.
      operationId: depositAddresses.publicDepositAddressStatus
      parameters:
        - name: depositAddress
          in: path
          schema:
            anyOf:
              - $ref: '#/components/schemas/EthAddressSchema'
              - $ref: '#/components/schemas/TronAddressBasic'
              - $ref: '#/components/schemas/SolanaAddress'
          required: true
        - name: depositChain
          in: path
          schema:
            type: string
          required: true
        - name: destinationAddress
          in: query
          schema:
            type: string
          required: true
      responses:
        '200':
          description: PublicDepositAddressStatusResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicDepositAddressStatusResponse'
        '400':
          description: The request did not match the expected schema
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/HttpApiDecodeError'
                  - $ref: '#/components/schemas/InvalidJwt'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauthorized'
        '422':
          description: DepositAddressNotFound
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/DepositAddressNotFound'
                  - $ref: '#/components/schemas/InvalidRequest'
      deprecated: true
      security:
        - bearer: []
        - legacyApiKey: []
components:
  schemas:
    EthAddressSchema:
      type: string
      description: a string that will be trimmed
    TronAddressBasic:
      type: string
      description: Tron basic address format
      pattern: T[123456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz]+
      title: maxLength(60)
      maxLength: 60
    SolanaAddress:
      type: string
    PublicDepositAddressStatusResponse:
      type: object
      required:
        - depositAddress
        - depositChain
        - destinationChain
        - destinationAddress
        - lastBridges
      properties:
        depositAddress:
          type: string
          description: The deposit address being queried.
        depositChain:
          type: string
          description: The blockchain network of the deposit address.
        destinationChain:
          type: string
          description: The destination blockchain network for bridged tokens.
        destinationAddress:
          type: string
          description: The destination address for bridged tokens.
        lastBridges:
          type: array
          items:
            $ref: '#/components/schemas/PublicDepositAddressStatusBridge'
          description: Recent bridge transactions for this deposit address.
      additionalProperties: false
    HttpApiDecodeError:
      type: object
      required:
        - issues
        - message
        - _tag
      properties:
        issues:
          type: array
          items:
            $ref: '#/components/schemas/Issue'
        message:
          type: string
        _tag:
          type: string
          enum:
            - HttpApiDecodeError
      additionalProperties: false
      description: The request did not match the expected schema
    InvalidJwt:
      type: object
      required:
        - message
        - _tag
      properties:
        message:
          type: string
        _tag:
          type: string
          enum:
            - InvalidJwt
      additionalProperties: false
    Unauthorized:
      type: object
      required:
        - message
        - _tag
      properties:
        message:
          type: string
        _tag:
          type: string
          enum:
            - Unauthorized
      additionalProperties: false
    DepositAddressNotFound:
      type: object
      required:
        - message
        - addresses
        - _tag
      properties:
        message:
          type: string
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/NonEmptyString'
        _tag:
          type: string
          enum:
            - DepositAddressNotFound
      additionalProperties: false
    InvalidRequest:
      type: object
      required:
        - message
        - _tag
      properties:
        message:
          type: string
        _tag:
          type: string
          enum:
            - InvalidRequest
      additionalProperties: false
    PublicDepositAddressStatusBridge:
      type: object
      required:
        - depositTxHash
        - depositTxTimestamp
        - tokenSymbol
        - depositAmount
        - sender
        - status
      properties:
        depositTxHash:
          type: string
        depositTxTimestamp:
          $ref: '#/components/schemas/DateTimeUtc'
        tokenSymbol:
          type: string
        depositAmount:
          $ref: '#/components/schemas/AmountWithDecimals'
        sender:
          type: string
        status:
          anyOf:
            - type: object
              required:
                - _tag
                - reason
              properties:
                _tag:
                  type: string
                  enum:
                    - REJECTED
                reason:
                  type: string
                  enum:
                    - OVER_MAX
                    - UNDER_MIN
                    - OPERATION_UNAVAILABLE
                    - TERMINAL_PROCESSING_ISSUE
                    - NO_ROUTE_FOUND
                    - UNSUPPORTED_TOKEN
              additionalProperties: false
            - type: object
              required:
                - _tag
              properties:
                _tag:
                  type: string
                  enum:
                    - RETRYING
                originalErrorTag:
                  type: string
              additionalProperties: false
            - type: object
              required:
                - _tag
                - amountOut
                - fee
              properties:
                _tag:
                  type: string
                  enum:
                    - ACCEPTED
                amountOut:
                  $ref: '#/components/schemas/AmountWithDecimals'
                fee:
                  $ref: '#/components/schemas/AmountWithDecimals'
              additionalProperties: false
            - type: object
              required:
                - _tag
                - withdrawTxHash
                - withdrawTxTimestamp
                - amountOut
                - fee
              properties:
                _tag:
                  type: string
                  enum:
                    - EXECUTED
                withdrawTxHash:
                  type: string
                withdrawTxTimestamp:
                  $ref: '#/components/schemas/DateTimeUtc'
                amountOut:
                  $ref: '#/components/schemas/AmountWithDecimals'
                fee:
                  $ref: '#/components/schemas/AmountWithDecimals'
              additionalProperties: false
      additionalProperties: false
    Issue:
      type: object
      required:
        - _tag
        - path
        - message
      properties:
        _tag:
          type: string
          enum:
            - Pointer
            - Unexpected
            - Missing
            - Composite
            - Refinement
            - Transformation
            - Type
            - Forbidden
          description: The tag identifying the type of parse issue
        path:
          type: array
          items:
            $ref: '#/components/schemas/PropertyKey'
          description: The path to the property where the issue occurred
        message:
          type: string
          description: A descriptive message explaining the issue
      additionalProperties: false
      description: >-
        Represents an error encountered while parsing a value to match the
        schema
    NonEmptyString:
      type: string
      description: a non empty string
      title: nonEmptyString
      minLength: 1
    DateTimeUtc:
      type: string
      description: a string to be decoded into a DateTime.Utc
    AmountWithDecimals:
      type: string
      description: >-
        A value representing the human readable, normalized transaction amount
        or balance
    PropertyKey:
      anyOf:
        - type: string
        - type: number
        - type: object
          required:
            - _tag
            - key
          properties:
            _tag:
              type: string
              enum:
                - symbol
            key:
              type: string
          additionalProperties: false
          description: an object to be decoded into a globally shared symbol
  securitySchemes:
    bearer:
      description: JWT token for authentication
      type: http
      scheme: bearer
    legacyApiKey:
      type: apiKey
      name: authorization
      in: header

````